Create DomainAsk AIpost https://v2.api.uberflip.com/domainsThis endpoint creates a new domain.Body Paramsnamestringrequiredlength ≤ 91The domain name [Note: name cannot be uberflip.com or any of its subdomains]pathstring | nullThe domain pathschemestringenumDefaults to httpThe domain scheme [Note: if set to http, certificate_type must be 2 (None)]httphttpsAllowed:httphttpshsts_enabledbooleanDefaults to falseWhether HTTP Strict Transport Security (HSTS) is enabledtruefalsehsts_max_ageinteger0 to 63072000Defaults to 31536000The domain max age for HSTS (in seconds)hsts_include_subdomainsbooleanDefaults to falseWhether HSTS is also enabled for subdomainstruefalsehsts_preloadbooleanDefaults to falseWhether the domain preloads HSTS [Note: if enabled, hsts_include_subdomains must also be enabled]truefalseect_enabledbooleanDefaults to falseWhether ECT is enabledtruefalseect_max_ageinteger0 to 2147483647Defaults to 2592000The domain max age for ECT (in seconds)ect_enforcebooleanDefaults to falseWhether to enforce ECTtruefalseect_report_uriuri | nullThe ECT report URIcertificate_typeinteger | null0 to 5Defaults to 2The domain SSL certificate type. See below for the following accepted values and their type: 0: Uberflip Managed (Digicert) 1: Self-Managed 2: None [if set, scheme must be http] 3: Uberflip Managed (Let's Encrypt) 4: Self-Managed and Uberflip Managed (Let's Encrypt) 5: External letsencrypt_statusinteger0 to 2Defaults to 0The domain Let's Encrypt (LE) status. See below for the following accepted values and their status description: 0: blocked from getting LE certificate 1: allowed to get LE certificate 2: in process of removing LE certificate from domain Response 201201Updated over 3 years ago